---
title: "Crexi API: Search | Perceptlayer"
description: "Search from Crexi as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/crexi/search
---

[APIs](https://perceptlayer.com/apis) / [Crexi](https://perceptlayer.com/apis/crexi) / Search

# Crexi: Search

Search from Crexi as JSON. 1 credit per successful call.

GET `/v1/crexi/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `state` | string | Optional | Up to 200 characters |
| `property_type` | string | Optional | Up to 300 characters |
| `trading_status` | string | Optional | Up to 200 characters |
| `min_price` | number | Optional | Any |
| `max_price` | number | Optional | Any |
| `min_cap_rate` | number | Optional | Any |
| `min_latitude` | number | Optional | Any |
| `max_latitude` | number | Optional | Any |
| `min_longitude` | number | Optional | Any |
| `max_longitude` | number | Optional | Any |
| `include_unpriced` | boolean | Optional | Any |
| `sort` | string | Optional | rank, price, activated\_on, updated\_on, time\_remaining |
| `order` | string | Optional | asc, desc |
| `page` | integer | Optional | Any |
| `per_page` | integer | Optional | Any |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/crexi/search?state=TX&trading_status=Auction&sort=time_remaining&per_page=3" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/crexi?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
